<div th:replace="data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    <div th:attrappend="data-name=${prefix + data.id},data-mandatory=${data.isMandatory() ? true : null}"></div>
</div>